Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 112 - Problems with http://developer.redhat.com/rhcn/browse/conventional/packageinfo.php3
Summary: Problems with http://developer.redhat.com/rhcn/browse/conventional/packageinf...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Contrib|Net
Classification: Retired
Component: rhcn
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL: http://developer.redhat.com/rhcn/brow...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-17 22:29 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-05-15 16:19:57 UTC


Attachments (Terms of Use)

Description Aleksey Nogin 1998-11-17 22:29:05 UTC
http://developer.redhat.com/rhcn/packageinfo.php3  has the
following problems:

 - In the package infromation Release, Size, Licence and
Summary fields are always empty. While Release number can be
gotten from the RPM file name and Summary is not that
important when Description is available, it would be nice to
be able to see Licence field and especially nice to see the
package size.

 - It has line

<CENTER><a href="maintainer.phtml">Back..<a
href="index.phtml">..Top</CENTER>

which has "</a>" missing before "</CENTER>"

Comment 1 Aleksey Nogin 1998-11-19 23:57:59 UTC
Also, the Date field lists the date in some not very human-readable
format.

Comment 2 Aleksey Nogin 1998-11-25 00:48:59 UTC
Also, the Description field is displayed with no line breaks in it
which makes it less readable.

Comment 3 Aleksey Nogin 1998-12-05 01:23:59 UTC
The new version of packageinfo.php3
(http://developer.redhat.com/rhcn/browse/conventional/packageinfo.php3)
still has some problems:

(1) "License" and "Summary" fields are empty

(2) "Build Date" field is not in human-readable format

(3) "Description" field has no line breaks in it

(4) Is is not clear information for what rpm (i386? src?) is displayed

(5) %changelog is not displayed (and rpm2html does not display it
neither)

(6) It would be good to have a a link to the rpm2html page for the
package on
http://developer.redhat.com/rhcn/browse/conventional/packageinfo.php3

Comment 4 David Lawrence 2000-05-15 16:19:59 UTC
RHCN has been discontinued and therefore this bug report is being closed. If you
have any questions about why this bug should not have been closed please direct
to bugzilla-owner@redhat.com. Sorry for any inconvenience.


Note You need to log in before you can comment on or make changes to this bug.